#define NOPLAN9DEFINES

#include <u.h>
#include <libc.h>
#include <netdb.h>
#include <pwd.h>

/*
  * n.b. host h.x.y.z's domain is considered to be x.y.z. this may not be as desired.
  */

void
getfqdn(char* buf, int size)
{
	char hostname[64*3];
	struct hostent* dns;

	*buf = 0;
	if(gethostname(hostname, 64*3) == -1)
		return;

	dns = gethostbyname(hostname);
	if(!dns)
		return;

	if(!strchr(dns->h_name, '.'))
		return;

	strecpy(buf, buf+size, dns->h_name);
}
