enum {
	Buffersize = 64*1024,
};

typedef enum
{
	Fzero,
	Fcfd,
	Ffd,
	Finfinite,
} Ftype;

typedef struct {
	Ftype type;
	union {
		CFid* cfd;
		int fd;
	};
} Fd;

void Fdassign(Fd*, Ftype, void*);

typedef struct 
{
	char buf[Buffersize];
	char *wp;
	char *rp;
	int eof;
	Fd* in;
	Fd* out;
	int last;
	ulong bytes;
} Inbuf;

int appendFd(Fd*, Fd*);
int appendFdtombox(Fd*, Fd*);

