#include "common.h"

static char *MAILROOT =	"#9/mail";
static char *UPASLOG =		"#9/sys/log";
static char *UPASLIB = 		"#9/mail/lib";
static char *UPASBIN=		"#9/bin/upas";
static char *UPASTMP = 		"#9/mail/tmp";
static char *SHELL = 		"#9/bin/rc";
static char *POST =		"#9/sys/lib/post/dispatch";

int MBOXMODE = 0662;

char*
mailroot(void)
{
	static char* s;

	if (!s)
		s = unsharp(MAILROOT);
	return s;
}

char*
upaslog(void)
{
	static char* s;

	if (!s)
		s = unsharp(UPASLOG);
	return s;
}

char*
upasbin(void)
{
	static char* s;

	if (!s)
		s = unsharp(UPASBIN);
	return s;
}

char*
upaslib(void)
{
	static char* s;

	if (!s)
		s = unsharp(UPASLIB);
	return s;
}

char*
upastmp(void)
{
	static char* s;

	if (!s)
		s = unsharp(UPASTMP);
	return s;
}

char*
shell(void)
{
	static char* s;

	if (!s)
		s = unsharp(SHELL);
	return s;
}

char*
postdispatch(void)
{
	static char* s;

	if (!s)
		s = unsharp(POST);
	return s;
}
