#include <u.h>
#include <sys/types.h>
#include <pwd.h>
#include <libc.h>
#include <libString.h>

String*
username(const char* name){
	struct passwd* pw;
	String* s;

	setpwent();

	while((pw = getpwent()))
		if (0 == strcmp(name, pw->pw_name)) {
			s = s_new();
			s_append(s, "\"");
			s_append(s, pw->pw_gecos);
			s_append(s, "\"");
			return s;
		}
	return 0;
}
